
Ruby - Feature #8931

Update URL in REPORTBUG_MSG

09/20/2013 11:27 PM - zzak (zzak _)

Status: Rejected   

Priority: Normal   

Assignee:    

Target version:    

Description

cc #8854

Related issues:

Related to Ruby - Bug #8854: Update URL for bug reports Closed 09/03/2013

Has duplicate Ruby - Bug #9258: Fix bugreport URL in error.c Closed

History

#1 - 09/27/2013 10:35 AM - naruse (Yui NARUSE)

- Status changed from Open to Rejected

If it is http://www.ruby-lang.org/bugreport.html, we can change redirect target if we want to change the target.

If it is http://bugs.ruby-lang.org/, we can't changet the target for example to http://bugs.ruby-lang.org/projects/ruby/wiki/HowToReport

#2 - 09/27/2013 01:23 PM - zzak (zzak _)

I don't think redirect is acceptable, we should correct the problem at the source. Please reconsider..

On Sep 26, 2013, at 7:35 PM, "naruse (Yui NARUSE)" naruse@airemix.jp wrote:

Issue #8931 has been updated by naruse (Yui NARUSE).

Status changed from Open to Rejected

If it is http://www.ruby-lang.org/bugreport.html, we can change redirect target if we want to

change the target.

If it is http://bugs.ruby-lang.org/, we can't changet the target for example to 

http://bugs.ruby-lang.org/projects/ruby/wiki/HowToReport 

Feature #8931: Update URL in REPORTBUG_MSG

https://bugs.ruby-lang.org/issues/8931#change-42022

Author: zzak (Zachary Scott)

Status: Rejected

Priority: Normal

Assignee:

Category:

Target version:

cc #8854

--

http://bugs.ruby-lang.org/

#3 - 09/27/2013 10:50 PM - stomar (Marcus Stollsteimer)

I agree with zzak.

Linking to www.ruby-lang.org/whatever which redirects to bugs.ruby-lang.org/something_else sounds so wrong and will easily break (it had been

broken for months). Links might change.

But information on bug reporting is and will always be available directly on the bugs.ruby-lang.org main page, or something has completely gone

wrong. (Right now it links to both an English and a Japanese howto.)

That's where people should be directed to.
Also, bugs.ruby-lang.org is already referenced in several other places in the code.

Files

0001-Use-bugs.ruby-lang.org-for-REPORTBUG_MSG.patch 726 Bytes 09/20/2013 zzak (zzak _)
